# Interface WebXRAxesParams

interface WebXRAxesParams {
axesState: { down: number; left: number; right: number; up: number };
deltaTime: number;
raycaster: { leftRay?: Raycaster; rightRay?: Raycaster };
}

- Defined in lib/five/application/events-legacy.ts:25

##### Index

### Properties

axesState
deltaTime
raycaster

## Properties

### axesState

axesState: { down: number; left: number; right: number; up: number }

- Defined in lib/five/application/events-legacy.ts:30

### deltaTime

deltaTime: number

- Defined in lib/five/application/events-legacy.ts:36

### raycaster

raycaster: { leftRay?: Raycaster; rightRay?: Raycaster }

- Defined in lib/five/application/events-legacy.ts:26